Last Comment Bug 752867 - Support disabling of what's new prompts via the update server snippets
: Support disabling of what's new prompts via the update server snippets
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Mark Banner (:standard8, limited time in Dec)
:
:
Mentors:
Depends on: 538331
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 04:42 PDT by Mark Banner (:standard8, limited time in Dec)
Modified: 2012-07-03 13:02 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
-
+
fixed
fixed


Attachments
The fix (2.54 KB, patch)
2012-07-02 13:50 PDT, Mark Banner (:standard8, limited time in Dec)
mozilla: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Mark Banner (:standard8, limited time in Dec) 2012-05-08 04:42:17 PDT
Firefox has a mechanism (implemented in bug 538331) so that it is an update-generation time decision as to whether or not to push a what's new page for a particular release.

With the new automation switch-over, Thunderbird will also gain the necessary update server support for this and we already know this is something that we want to have.

The bulk of this appears to be porting the checks in Firefox's nsBrowserContentHandler.js / getPostUpdateOverridePage function to an appropriate place in Thunderbird.

We can then use that to control showing the what's new page in specialTabs.js / openSpecialTabsOnStartup.

We should also redirect the what's new help menu item like we did in bug 746320.
Comment 1 Mark Banner (:standard8, limited time in Dec) 2012-05-22 01:48:33 PDT
Looks like we won't need this for TB 13, but we should still look to get in place for subsequent releases.
Comment 2 awjohnston1 2012-06-27 11:38:54 PDT
Hi, I'm new to Mozilla and I'm looking for something to start on. Could this be my first bug?
Comment 3 Ludovic Hirlimann [:Usul] 2012-06-29 06:58:36 PDT
(In reply to awjohnston1 from comment #2)
> Hi, I'm new to Mozilla and I'm looking for something to start on. Could this
> be my first bug?

Of course. If you need help either ask here or in #maildev on irc.mozilla.org.
Comment 4 Mark Banner (:standard8, limited time in Dec) 2012-06-29 07:28:31 PDT
The only thing to note, is that we now need this by 9th July at the latest so that it can be included in the next release for which we'll need it. If you don't think you can do it again, I can find other bugs for you - just email me direct.
Comment 5 Mark Banner (:standard8, limited time in Dec) 2012-07-02 13:50:31 PDT
Created attachment 638483 [details] [diff] [review]
The fix

This updates us to check the app.update.postupdate value to see if we've actually updated and finished updating, and then also check to see if updates.xml has a actions="silent" parameter in it. If it does have the silent parameter, then it doesn't show the update.

To test this, I copied an updates.xml file from a Thunderbird build (mac has it in the application dir), and added 'actions="silent"' to the first <update... element in that file. I then also set the app.update.postupdate as a boolean (value doesn't matter).

I'm looking to get this in tomorrow's beta so that we can verify the whole route from the AUS server to Thunderbird before we push it out on the release channel.
Comment 6 David :Bienvenu 2012-07-02 15:18:01 PDT
Comment on attachment 638483 [details] [diff] [review]
The fix

there's a dump statement still in the patch, and you could probably use let instead of var for um.
Comment 7 Mark Banner (:standard8, limited time in Dec) 2012-07-03 03:43:31 PDT
Checked in with nits addressed:

https://hg.mozilla.org/comm-central/rev/82179c85043d
Comment 8 Mark Banner (:standard8, limited time in Dec) 2012-07-03 12:52:28 PDT
Comment on attachment 638483 [details] [diff] [review]
The fix

[Triage Comment]
We want this on beta to test for the next release.

Note You need to log in before you can comment on or make changes to this bug.